#ifndef SERVER_H
#define SERVER_H

/* -------------------------------------------------------------------
 * Server.hpp
 * by Mark Gates <mgates@nlanr.net>
 * Copyright 1999, Board of Trustees of the University of Illinois.
 * $Id: Server.hpp,v 1.3 2001/03/17 01:14:20 boverhof Exp $
 * -------------------------------------------------------------------
 * A server thread is initiated for each connection accept() returns.
 * Handles sending and receiving data, and then closes socket.
 * ------------------------------------------------------------------- */

#include "PerfSocket.hpp"
#include "Thread.hpp"

#ifdef NETTEST
class IperfTestInfo;
#else
class Settings;
#endif

/* ------------------------------------------------------------------- */
class Server : public PerfSocket, public Thread
{
public:
  // stores server socket, port and TCP/UDP mode
#ifdef NETTEST
  Server( IperfTestInfo* iperfinfo, int inSock );
#else
  Server( Settings *mSettings_ptr, short inPort, bool inUDP, int inSock );
#endif

  // destroy the server object
  ~Server();
    
  // accepts connection and receives data
  virtual void Run( void );

}; // end class Server

#endif // SERVER_H
